#
# spec file for package gap-examplesforhomalg
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-examplesforhomalg
Version:        2023.10.01
%define sillyver 2023.10-01
Release:        1.3
Summary:        GAP: Examples for the homalg GAP Package
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
URL:            https://homalg-project.github.io/pkg/ExamplesForHomalg
#Git-Clone:     https://github.com/homalg-project/homalg_project
Source:         https://github.com/homalg-project/homalg_project/releases/download/ExamplesForHomalg-%sillyver/ExamplesForHomalg-%sillyver.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.12.1
Requires:       gap-gapdoc >= 1.1
Requires:       gap-gaussforhomalg >= 2023.08.01
Requires:       gap-homalg >= 2015.06.01
Requires:       gap-homalgtocas >= 2023.08.01
Requires:       gap-matricesforhomalg >= 2023.10.01
Requires:       gap-modules >= 2023.10.01
Requires:       gap-ringsforhomalg >= 2023.09.01

%description
The ExamplesForHomalg package provides example scripts for the homalg
package that can be used with several computer algebra systems.

%prep
%autosetup -n ExamplesForHomalg-%sillyver
rm -v doc/clean

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2023.10.01
  * No changelog was provided
* Sat Feb 11 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.11.01
  * No changelog was provided
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.10.01
  * No changelog was provided
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2018.05.29
  * Nobody is getting a changelog from upstream ever.
* Sat Dec 23 2017 jengelh@inai.de
- Update to new upstream release 2017.09.02
  * No upstream changelog
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.05.25
  * No upstream changelog was provided
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.06
  * No upstream changelog was provided
* Wed Feb  5 2014 jengelh@inai.de
- Update to new upstream release 2013.07.05
  * No upstream changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split examplesforhomalg (version 2012.10.23)
  off the gap RPM package
